package de.lelehier.keeper

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.material3.Scaffold
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import de.lelehier.keeper.ui.theme.KeeperTheme
import de.lelehier.keeper.screens.HomeScreen

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            KeeperTheme {
                var currentScreen by remember { mutableStateOf(0) }

                Scaffold() { paddingValues ->
                HomeScreen(paddingValues)
                }
            }
        }
    }
}
